Bug 236445 - Mod3: Not winnable game is winnable
Summary: Mod3: Not winnable game is winnable
Status: RESOLVED FIXED
Alias: None
Product: kpat
Classification: Applications
Component: solver (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Stephan Kulow
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-05 16:12 UTC by peter.puk
Modified: 2011-01-26 12:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
The savegame that is winnable, but shows not winnable (6.06 KB, application/octet-stream)
2010-05-05 16:13 UTC, peter.puk
Details
mod3 saved game, no longer winnable (but it is) (5.29 KB, application/octet-stream)
2011-01-13 15:03 UTC, Pete Lypkie
Details

Note You need to log in before you can comment on or make changes to this bug.
Description peter.puk 2010-05-05 16:12:05 UTC
Version:            (using KDE 4.4.2)
OS:                Linux
Installed from:    Ubuntu Packages

When playing the game with solver enabled, it sometimes shows that the game is not winnable, but when i draw a line of cards from the stock, the game is winnable again.

I provided a savegame where this happens to me. The only thing you need to do is to push the "closed" deck.
Comment 1 peter.puk 2010-05-05 16:13:27 UTC
Created attachment 43268 [details]
The savegame that is winnable, but shows not winnable
Comment 2 Pete Lypkie 2011-01-13 15:03:17 UTC
Created attachment 55959 [details]
mod3 saved game, no longer winnable (but it is)

Load this game, and then reveal the next batch of cards, and the status will change from "no longer winnable" to "winnable".

Back at move 19 it said winnable, and then with the next cards it says "not sure" for a long time before deciding it's not winnable, even though it is.
Comment 3 Stephan Kulow 2011-01-26 12:49:49 UTC
SVN commit 1217216 by coolo:

mod3 solver: do not ignore valid moves, but give them very
low priority
BUG: 236445


 M  +14 -3     mod3solver.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217216